Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.pstricks
Class PsRPutExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.SequenceExpression
              jpicedt.format.input.pstricks.PsRPutExpression

All Implemented Interfaces:
  ExpressionConstants, PicObjectConstants

public class PsRPutExpression
extends SequenceExpression
implements ExpressionConstants, PicObjectConstants

Parses PsTricks's \\rput commands, either:

- \\rput[refpoint]{rotation}(x,y){stuff}
- \\rput*[refpoint]{rotation}(x,y){stuff}

(line-breaks being allowed b/w each "block"), where :

- refpoint = B|b|t for vertical and l|r for horizontal (B = baseline), used only for psframebox and rel.
- rotation = any angle in degree or U,L,D,R,N,W,S or E.
- stuff = whatever ! (this allows in particular to rotate things)

Depending on the "stuff" found, instanciates :

- PicText : \\psframebox, \\pscirclebox, \\psovalbox, LR-argument, pure LaTeX commands (e.g. \\circle, \\vector,...)
- [SR:pending] instanciate other elements + handle rotations.

The parsing code sets the following Pool's key/value pairs (as set by the enclosing XXXPutExpression beforehands):

- KEY_RPUT_VALIGN: \\rput's [bBt] vertical alignment parameter
- KEY_RPUT_HALIGN: \\rput's [lr] horizontal alignment parameter
- KEY_RPUT_POINT: \\rput's (x,y) parameter
- KEY_RPUT_ROTATION: \\rput's {rotation} parameter

These key/value pairs may then be used by client expression, e.g. PsBox, ...

Since:
  jpicedt 1.3
Version:
  $Id: PsRPutExpression.java,v 1.8.2.1 2007/09/02 11:56:12 reynal Exp $
Author:
  Sylvain Reynal

Field Summary
`static Pool.Key` | `KEY_RPUT_HALIGN` key entry in Pool containing the horizontal alignment parameter
`static Pool.Key` | `KEY_RPUT_POINT` key entry in Pool containing the (x,y) parameter
`static Pool.Key` | `KEY_RPUT_ROTATION` key entry in Pool containing the (x,y) parameter
`static Pool.Key` | `KEY_RPUT_VALIGN` key entry in Pool containing the (x,y) parameter

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Fields inherited from interface jpicedt.graphic.model.PicObjectConstants
`ARROW_GLOBAL_SCALE_LENGTH, ARROW_GLOBAL_SCALE_WIDTH, ARROW_INSET_SCALE, ARROW_LENGTH_SCALE, ARROW_WIDTH_LINEWIDTH_SCALE, ARROW_WIDTH_MINIMUM_MM, BRACKET_LENGTH_SCALE, CROSSHATCH, CROSSHATCH_FILLED, DASH_OPAQUE, DASH_TRANSPARENT, DASH1, DASH2, DASH3, DASHED, DIMEN, DOT_SEP, DOT_SEP1, DOT_SEP2, DOT_SEP3, DOTTED, DOUBLE_COLOR, DOUBLE_LINE, DOUBLE_SEP, FILL_COLOR, FILL_STYLE, HATCH_ANGLE, HATCH_COLOR, HATCH_SEP, HATCH_WIDTH, HLINES, HLINES_FILLED, INNER, LEFT_ARROW, LINE_COLOR, LINE_STYLE, LINE_WIDTH, MIDDLE, NONE, OUTER, OVER_STRIKE, OVER_STRIKE_COLOR, OVER_STRIKE_WIDTH, POLYDOTS_ANGLE, POLYDOTS_CIRCLE, POLYDOTS_DISK, POLYDOTS_PENTAGON, POLYDOTS_PENTAGON_FILLED, POLYDOTS_PLUS, POLYDOTS_SCALE_H, POLYDOTS_SCALE_V, POLYDOTS_SIZE_LINEWIDTH_SCALE, POLYDOTS_SIZE_MINIMUM_MM, POLYDOTS_SQUARE, POLYDOTS_SQUARE_FILLED, POLYDOTS_STYLE, POLYDOTS_SUPERIMPOSE, POLYDOTS_TRIANGLE, POLYDOTS_TRIANGLE_FILLED, PS_POINT, PST_CUSTOM, RBRACKET_LENGTH_SCALE, RIGHT_ARROW, SHADOW, SHADOW_ANGLE, SHADOW_COLOR, SHADOW_SIZE, SOLID, TBAR_WIDTH_LINEWIDTH_SCALE, TBAR_WIDTH_MINIMUM_MM, TEXT_BOX_CIRCLE, TEXT_BOX_NO_FRAME, TEXT_BOX_OVAL, TEXT_BOX_RECTANGLE, TEXT_FRAME, TEXT_HALIGN_CENTER, TEXT_HALIGN_LEFT, TEXT_HALIGN_RIGHT, TEXT_HOR_ALIGN, TEXT_ROTATION, TEXT_VALIGN_BASELINE, TEXT_VALIGN_BOTTOM, TEXT_VALIGN_CENTER, TEXT_VALIGN_TOP, TEXT_VERT_ALIGN, VLINES, VLINES_FILLED`

Constructor Summary
`PsRPutExpression(Pool pl)`

Method Summary
`void` | `action(ParserEvent e)` called when this SequenceExpression was successfully parsed -> reinit locals for next time
`String` | `toString()`

Methods inherited from class jpicedt.format.input.util.SequenceExpression
`add, interpret`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_RPUT_VALIGN

    public static final Pool.Key KEY_RPUT_VALIGN

  key entry in Pool containing the (x,y) parameter

### KEY_RPUT_HALIGN

    public static final Pool.Key KEY_RPUT_HALIGN

  key entry in Pool containing the horizontal alignment parameter

### KEY_RPUT_POINT

    public static final Pool.Key KEY_RPUT_POINT

  key entry in Pool containing the (x,y) parameter

### KEY_RPUT_ROTATION

    public static final Pool.Key KEY_RPUT_ROTATION

  key entry in Pool containing the (x,y) parameter

Constructor Detail

### PsRPutExpression

    public PsRPutExpression(Pool pl)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `SequenceExpression`

### action

    public void action(ParserEvent e)

  called when this SequenceExpression was successfully parsed -> reinit locals for next time

  Overrides:
    `action` in class `AbstractRegularExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org